Package org.drinkless.tdlib

# Class TdApi.FoundChatBoosts

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.FoundChatBoosts

Enclosing class:
  `TdApi`

public static class TdApi.FoundChatBoosts extends TdApi.Object
Contains a list of boosts applied to a chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.ChatBoost[]`
  `boosts`
  List of boosts.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `nextOffset`
  The offset for the next request.
  `int`
  `totalCount`
  Total number of boosts applied to the chat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FoundChatBoosts()`
  Contains a list of boosts applied to a chat.
  `FoundChatBoosts(int totalCount, TdApi.ChatBoost[] boosts, String nextOffset)`
  Contains a list of boosts applied to a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCount

    public int totalCount
    Total number of boosts applied to the chat.

  - ### boosts

    public TdApi.ChatBoost[] boosts
    List of boosts.

  - ### nextOffset

    public String nextOffset
    The offset for the next request. If empty, then there are no more results.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FoundChatBoosts

    public FoundChatBoosts()
    Contains a list of boosts applied to a chat.

  - ### FoundChatBoosts

    public FoundChatBoosts(int totalCount, TdApi.ChatBoost[] boosts, String nextOffset)
    Contains a list of boosts applied to a chat.
    Parameters:
      `totalCount` - Total number of boosts applied to the chat.
      `boosts` - List of boosts.
      `nextOffset` - The offset for the next request. If empty, then there are no more results.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR